Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class AbstractConcurrentMap

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap

    public abstract class AbstractConcurrentMap
    extends AbstractConcurrentMapBase

Nested Class Summary
`interface` | `AbstractConcurrentMap.Entry`
`static class` | `AbstractConcurrentMap.Segment`

Field Summary

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`AbstractConcurrentMap(java.lang.Object segmentInfo)`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)`
`AbstractConcurrentMap.Entry` | `getOrPut(java.lang.Object key, java.lang.Object value)`
`void` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `remove(java.lang.Object key)`
`AbstractConcurrentMap.Segment` | `segmentFor(int hash)`

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size, values

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AbstractConcurrentMap

    public AbstractConcurrentMap(java.lang.Object segmentInfo)

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

### getOrPut

    public AbstractConcurrentMap.Entry getOrPut(java.lang.Object key, java.lang.Object value)

### put

    public void put(java.lang.Object key, java.lang.Object value)

### remove

    public void remove(java.lang.Object key)

### segmentFor

    public AbstractConcurrentMap.Segment segmentFor(int hash)

Groovy Documentation